@scalar/api-reference 1.49.1 → 1.49.3
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +13 -0
- package/dist/{MobileHeader-B71jYJdT.js → MobileHeader-DAm6yQX0.js} +2 -2
- package/dist/{MobileHeader-B71jYJdT.js.map → MobileHeader-DAm6yQX0.js.map} +1 -1
- package/dist/{Operation-CixLVfKd.js → Operation-CvpVIkc3.js} +75 -73
- package/dist/Operation-CvpVIkc3.js.map +1 -0
- package/dist/browser/standalone.js +7526 -7468
- package/dist/browser/webpack-stats.json +1 -1
- package/dist/components/Content/Schema/Schema.vue.d.ts +1 -1
- package/dist/components/Content/Schema/SchemaComposition.vue.d.ts +1 -1
- package/dist/components/Content/Schema/SchemaObjectProperties.vue.d.ts +1 -1
- package/dist/components/Content/Schema/SchemaProperty.vue.d.ts +1 -1
- package/dist/components/index.js +2 -2
- package/dist/features/Operation/components/OperationParameters.vue.d.ts +1 -1
- package/dist/features/Operation/components/OperationResponses.vue.d.ts +1 -1
- package/dist/features/Operation/components/ParameterList.vue.d.ts +1 -1
- package/dist/features/Operation/components/ParameterListItem.vue.d.ts +1 -1
- package/dist/features/Operation/components/ParameterListItem.vue.d.ts.map +1 -1
- package/dist/features/Operation/components/callbacks/Callback.vue.d.ts +1 -1
- package/dist/features/Operation/components/callbacks/Callbacks.vue.d.ts +1 -1
- package/dist/features/Operation/layouts/ClassicLayout.vue.d.ts +1 -1
- package/dist/features/Operation/layouts/ModernLayout.vue.d.ts +1 -1
- package/dist/features/Search/components/SearchResult.vue.d.ts +1 -1
- package/dist/features/Search/helpers/create-fuse-instance.d.ts +1 -1
- package/dist/features/Search/helpers/create-search-index.d.ts +1 -1
- package/dist/features/Search/types.d.ts +1 -1
- package/dist/features/index.js +1 -1
- package/dist/index.d.ts +5 -5
- package/dist/index.js +3 -3
- package/dist/plugins/hooks/usePluginManager.d.ts +1 -1
- package/dist/plugins/index.d.ts +2 -2
- package/dist/{src-DqcYVBWI.js → src-DJwsRvMU.js} +2 -2
- package/dist/{src-DqcYVBWI.js.map → src-DJwsRvMU.js.map} +1 -1
- package/dist/ssr.d.ts +2 -2
- package/dist/ssr.js +3 -3
- package/dist/style.css +52 -55
- package/package.json +14 -14
- package/dist/Operation-CixLVfKd.js.map +0 -1
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { SchemaOptions } from '
|
|
3
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
schema?: SchemaObject;
|
|
6
6
|
/** Track how deep we've gone */
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { SchemaOptions } from '
|
|
3
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
4
4
|
import { type CompositionKeyword } from './helpers/schema-composition';
|
|
5
5
|
type __VLS_Props = {
|
|
6
6
|
/** The composition keyword (oneOf, anyOf, allOf) */
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { SchemaOptions } from '
|
|
3
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
schema: SchemaObject;
|
|
6
6
|
discriminator?: DiscriminatorObject;
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { DiscriminatorObject, SchemaObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
3
|
import { type Component } from 'vue';
|
|
4
|
-
import type { SchemaOptions } from '
|
|
4
|
+
import type { SchemaOptions } from '../../../components/Content/Schema/types';
|
|
5
5
|
/**
|
|
6
6
|
* Note: We're taking in a prop called `value` which should be a JSON Schema.
|
|
7
7
|
*
|
package/dist/components/index.js
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import "../ExternalDocs-phu7GxpZ.js";
|
|
2
|
-
import { a as TraversedEntry_default, c as OperationsList_default, d as Auth_default, f as ClassicHeader_default, i as RenderPlugins_default, l as ModelTag_default, n as Content_default, o as Lazy_default, r as SectionFlare_default, s as Tag_default, t as MobileHeader_default, u as Model_default } from "../MobileHeader-
|
|
2
|
+
import { a as TraversedEntry_default, c as OperationsList_default, d as Auth_default, f as ClassicHeader_default, i as RenderPlugins_default, l as ModelTag_default, n as Content_default, o as Lazy_default, r as SectionFlare_default, s as Tag_default, t as MobileHeader_default, u as Model_default } from "../MobileHeader-DAm6yQX0.js";
|
|
3
3
|
import { i as SectionContainer_default } from "../ServerSelector-5y29y2BJ.js";
|
|
4
|
-
import { a as SchemaHeading_default, i as SchemaProperty_default, n as HttpMethod_default, r as Schema_default } from "../Operation-
|
|
4
|
+
import { a as SchemaHeading_default, i as SchemaProperty_default, n as HttpMethod_default, r as Schema_default } from "../Operation-CvpVIkc3.js";
|
|
5
5
|
import { computed, createBlock, createCommentVNode, createElementVNode, createVNode, defineComponent, onMounted, openBlock, ref, renderSlot, resolveDynamicComponent, unref, withCtx } from "vue";
|
|
6
6
|
import { ScalarCard, ScalarCardFooter, ScalarCardSection, ScalarCodeBlock } from "@scalar/components";
|
|
7
7
|
import { useIntersectionObserver } from "@vueuse/core";
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { ParameterObject, ReferenceType, RequestBodyObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
breadcrumb?: string[];
|
|
6
6
|
parameters?: ReferenceType<ParameterObject>[];
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { OperationObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
responses: OperationObject['responses'];
|
|
6
6
|
breadcrumb?: string[];
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { ParameterObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
parameters: ParameterObject[];
|
|
6
6
|
breadcrumb?: string[];
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { ParameterObject, ResponseObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
parameter: ParameterObject | ResponseObject;
|
|
6
6
|
name: string;
|
|
@@ -1 +1 @@
|
|
|
1
|
-
{"version":3,"file":"ParameterListItem.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/ParameterListItem.vue"],"names":[],"mappings":"
|
|
1
|
+
{"version":3,"file":"ParameterListItem.vue.d.ts","sourceRoot":"","sources":["../../../../src/features/Operation/components/ParameterListItem.vue"],"names":[],"mappings":"AAkUA,OAAO,KAAK,EAAE,iBAAiB,EAAE,MAAM,gCAAgC,CAAA;AAEvE,OAAO,KAAK,EACV,eAAe,EACf,cAAc,EAEf,MAAM,8DAA8D,CAAA;AAKrE,OAAO,KAAK,EAAE,cAAc,EAAE,MAAM,oCAAoC,CAAA;AAKxE,KAAK,WAAW,GAAG;IACjB,SAAS,EAAE,eAAe,GAAG,cAAc,CAAA;IAC3C,IAAI,EAAE,MAAM,CAAA;IACZ,UAAU,CAAC,EAAE,MAAM,EAAE,CAAA;IACrB,QAAQ,EAAE,iBAAiB,GAAG,IAAI,CAAA;IAClC,gBAAgB,CAAC,EAAE,OAAO,CAAA;IAC1B,OAAO,EAAE,IAAI,CACX,cAAc,CAAC,SAAS,CAAC,EACzB,8BAA8B,GAAG,yBAAyB,CAC3D,CAAA;CACF,CAAC;AAmYF,QAAA,MAAM,YAAY,kSAEhB,CAAC;wBACkB,OAAO,YAAY;AAAxC,wBAAyC"}
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import type { HttpMethod as HttpMethodType } from '@scalar/helpers/http/http-methods';
|
|
2
2
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
3
3
|
import { type OperationObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
4
|
-
import type { OperationProps } from '
|
|
4
|
+
import type { OperationProps } from '../../../../features/Operation/Operation.vue';
|
|
5
5
|
type __VLS_Props = {
|
|
6
6
|
callback: OperationObject;
|
|
7
7
|
method: HttpMethodType;
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { WorkspaceEventBus } from '@scalar/workspace-store/events';
|
|
2
2
|
import type { CallbackObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = {
|
|
5
5
|
path: string;
|
|
6
6
|
callbacks: CallbackObject;
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { SecuritySchemeObjectSecret } from '@scalar/api-client/v2/blocks/scalar-auth-selector-block';
|
|
2
2
|
import type { OperationObject, ServerObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = Omit<OperationProps, 'document' | 'pathValue' | 'server' | 'securitySchemes' | 'authStore'> & {
|
|
5
5
|
/** Operation object with path params */
|
|
6
6
|
operation: OperationObject;
|
|
@@ -1,6 +1,6 @@
|
|
|
1
1
|
import type { SecuritySchemeObjectSecret } from '@scalar/api-client/v2/blocks/scalar-auth-selector-block';
|
|
2
2
|
import type { OperationObject, ServerObject } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
3
|
-
import type { OperationProps } from '
|
|
3
|
+
import type { OperationProps } from '../../../features/Operation/Operation.vue';
|
|
4
4
|
type __VLS_Props = Omit<OperationProps, 'document' | 'pathValue' | 'server' | 'isCollapsed' | 'securitySchemes' | 'authStore'> & {
|
|
5
5
|
/** Operation object with path params */
|
|
6
6
|
operation: OperationObject;
|
|
@@ -1,5 +1,5 @@
|
|
|
1
1
|
import type { OpenApiDocument } from '@scalar/workspace-store/schemas/v3.1/strict/openapi-document';
|
|
2
|
-
import type { FuseData } from '
|
|
2
|
+
import type { FuseData } from '../../../features/Search/types';
|
|
3
3
|
/**
|
|
4
4
|
* Create a search index from a list of entries.
|
|
5
5
|
*/
|
|
@@ -1,5 +1,5 @@
|
|
|
1
1
|
import type { TraversedEntry } from '@scalar/workspace-store/schemas/navigation';
|
|
2
|
-
import type { ParameterMap } from '
|
|
2
|
+
import type { ParameterMap } from '../../helpers/openapi';
|
|
3
3
|
export type EntryType = 'operation' | 'webhook' | 'model' | 'heading' | 'tag';
|
|
4
4
|
export type FuseData = {
|
|
5
5
|
type: EntryType;
|
package/dist/features/index.js
CHANGED
|
@@ -1,4 +1,4 @@
|
|
|
1
1
|
import "../ExternalDocs-phu7GxpZ.js";
|
|
2
|
-
import { o as getXKeysFromObject, t as Operation_default } from "../Operation-
|
|
2
|
+
import { o as getXKeysFromObject, t as Operation_default } from "../Operation-CvpVIkc3.js";
|
|
3
3
|
import { i as DocumentSelector_default, t as SearchButton_default } from "../SearchButton-xzhIpMCZ.js";
|
|
4
4
|
export { DocumentSelector_default as DocumentSelector, Operation_default as Operation, SearchButton_default as SearchButton, getXKeysFromObject };
|
package/dist/index.d.ts
CHANGED
|
@@ -1,10 +1,10 @@
|
|
|
1
1
|
import type { AnyApiReferenceConfiguration } from '@scalar/types/api-reference';
|
|
2
2
|
export type { ApiReferenceConfiguration } from '@scalar/types/api-reference';
|
|
3
|
-
export { default as ApiReference } from '
|
|
4
|
-
export { default as GettingStarted } from '
|
|
5
|
-
export { SearchButton, SearchModal } from '
|
|
6
|
-
export { createEmptySpecification } from '
|
|
7
|
-
export { createApiReference } from '
|
|
3
|
+
export { default as ApiReference } from './components/ApiReference.vue';
|
|
4
|
+
export { default as GettingStarted } from './components/GettingStarted.vue';
|
|
5
|
+
export { SearchButton, SearchModal } from './features/Search';
|
|
6
|
+
export { createEmptySpecification } from './helpers/openapi';
|
|
7
|
+
export { createApiReference } from './standalone/lib/html-api';
|
|
8
8
|
export type ReferenceProps = {
|
|
9
9
|
configuration?: AnyApiReferenceConfiguration;
|
|
10
10
|
};
|
package/dist/index.js
CHANGED
|
@@ -1,7 +1,7 @@
|
|
|
1
|
-
import { n as GettingStarted_default, r as ApiReference_default, t as createApiReference } from "./src-
|
|
1
|
+
import { n as GettingStarted_default, r as ApiReference_default, t as createApiReference } from "./src-DJwsRvMU.js";
|
|
2
2
|
import "./ExternalDocs-phu7GxpZ.js";
|
|
3
|
-
import "./MobileHeader-
|
|
3
|
+
import "./MobileHeader-DAm6yQX0.js";
|
|
4
4
|
import "./ServerSelector-5y29y2BJ.js";
|
|
5
|
-
import "./Operation-
|
|
5
|
+
import "./Operation-CvpVIkc3.js";
|
|
6
6
|
import { n as SearchModal_default, r as createEmptySpecification, t as SearchButton_default } from "./SearchButton-xzhIpMCZ.js";
|
|
7
7
|
export { ApiReference_default as ApiReference, GettingStarted_default as GettingStarted, SearchButton_default as SearchButton, SearchModal_default as SearchModal, createApiReference, createEmptySpecification };
|
package/dist/plugins/index.d.ts
CHANGED
|
@@ -1,4 +1,4 @@
|
|
|
1
|
-
export { PLUGIN_MANAGER_SYMBOL, usePluginManager } from '
|
|
2
|
-
export { type ApiReferencePlugin, type PluginManager, createPluginManager, } from '
|
|
1
|
+
export { PLUGIN_MANAGER_SYMBOL, usePluginManager } from '../plugins/hooks/usePluginManager';
|
|
2
|
+
export { type ApiReferencePlugin, type PluginManager, createPluginManager, } from '../plugins/plugin-manager';
|
|
3
3
|
export { persistencePlugin } from './persistance-plugin';
|
|
4
4
|
//# sourceMappingURL=index.d.ts.map
|
|
@@ -1,7 +1,7 @@
|
|
|
1
1
|
import { n as useAgent, r as useAgentContext, t as AGENT_CONTEXT_SYMBOL } from "./use-agent-Bnm1de0n.js";
|
|
2
2
|
import { d as _plugin_vue_export_helper_default } from "./ExternalDocs-phu7GxpZ.js";
|
|
3
3
|
import { a as REGISTRY_SHARE_URL, i as PROXY_URL, n as DASHBOARD_REGISTER_URL, s as UPLOAD_TEMP_API_URL } from "./urls-gPTXGgbj.js";
|
|
4
|
-
import { f as ClassicHeader_default, n as Content_default, t as MobileHeader_default } from "./MobileHeader-
|
|
4
|
+
import { f as ClassicHeader_default, n as Content_default, t as MobileHeader_default } from "./MobileHeader-DAm6yQX0.js";
|
|
5
5
|
import { t as useIntersection } from "./use-intersection-8QqPi2O-.js";
|
|
6
6
|
import { i as createPluginManager, n as PLUGIN_MANAGER_SYMBOL, t as persistencePlugin } from "./plugins-4EyiUD_A.js";
|
|
7
7
|
import { a as intersectionEnabled, c as scrollToLazy, d as getIdFromUrl, f as makeUrlFromId, n as blockIntersection, p as matchesBasePath, t as addToPriorityQueue } from "./lazy-bus-CV8Ox5hD.js";
|
|
@@ -1683,4 +1683,4 @@ var createApiReference = (elementOrSelectorOrConfig, optionalConfiguration) => {
|
|
|
1683
1683
|
//#endregion
|
|
1684
1684
|
export { GettingStarted_default as n, ApiReference_default as r, createApiReference as t };
|
|
1685
1685
|
|
|
1686
|
-
//# sourceMappingURL=src-
|
|
1686
|
+
//# sourceMappingURL=src-DJwsRvMU.js.map
|